Page MenuHomePhabricator

Improve Dashiki extension messaging
Closed, ResolvedPublic8 Story Points

Description

  • Add a link to Dashiki schema documentation
  • Make the message different depending on the type of configuration page

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 27 2018, 4:42 PM
Milimetric triaged this task as High priority.Sep 27 2018, 4:42 PM
Milimetric moved this task from Incoming to Wikistats Beta on the Analytics board.
Milimetric moved this task from Next Up to In Code Review on the Analytics-Kanban board.

Change 463309 had a related patch set uploaded (by Milimetric; owner: Milimetric):
[mediawiki/extensions/Dashiki@master] Improve messaging / help text

https://gerrit.wikimedia.org/r/463309

Change 463309 merged by Milimetric:
[mediawiki/extensions/Dashiki@master] Improve messaging / help text

https://gerrit.wikimedia.org/r/463309

Change 464469 had a related patch set uploaded (by Milimetric; owner: Milimetric):
[mediawiki/extensions/Dashiki@master] Fix problems with last change

https://gerrit.wikimedia.org/r/464469

mforns set the point value for this task to 8.Oct 8 2018, 4:06 PM
mforns moved this task from Ready to Deploy to Done on the Analytics-Kanban board.
Nuria moved this task from Done to Ready to Deploy on the Analytics-Kanban board.Oct 8 2018, 7:27 PM

No, this isn't deployed. There are two gerrit changes:

  1. https://gerrit.wikimedia.org/r/463309 implements the different messages, I self merged this and it has been auto-deployed to beta. It will be auto-deployed to production today. You can see it in action here: https://deployment.wikimedia.beta.wmflabs.org/wiki/Config:Dashiki:Annotations/Wikistats/Test1
  1. https://gerrit.wikimedia.org/r/464469 will stay in review for a while until Lego gets around to it and we work out the cleanest way to do this. That's why this task is still in review. It's on the deployment train, but the code is still being polished according to mediawiki tradition and standards.

The first task that I self-merged is now deployed: https://meta.wikimedia.org/wiki/Config:Dashiki:Annotations/Wikistats/editors, so for our purposes this task is done. I'll continue to follow up with reviewers to merge my fixes to that first change.

Nuria closed this task as Resolved.Oct 22 2018, 9:27 PM

Change 464469 merged by jenkins-bot:
[mediawiki/extensions/Dashiki@master] Fix problems with last change

https://gerrit.wikimedia.org/r/464469